# Plutonium framework API: pu::ui::elm::Image Class Reference

pu::ui::elm::Image Class Reference

`#include <elm_Image.hpp>`

Inheritance diagram for pu::ui::elm::Image:

## Public Member Functions

| Image (const i32 x, const i32 y, const std::string &image_path)
| ~Image ()
i32 | GetX () override
void | SetX (const i32 x)
i32 | GetY () override
void | SetY (const i32 y)
i32 | GetWidth () override
void | SetWidth (const i32 width)
i32 | GetHeight () override
void | SetHeight (const i32 height)
float | GetRotationAngle ()
void | SetRotationAngle (const float angle)
std::string | GetImagePath ()
void | SetImage (const std::string &image_path)
bool | IsImageValid ()
void | OnRender (render::Renderer::Ref &drawer, const i32 x, const i32 y) override
void | OnInput (const u64 keys_down, const u64 keys_up, const u64 keys_held, const TouchPoint touch_pos) override
Public Member Functions inherited from pu::ui::elm::Element
| Element ()
virtual | ~Element ()
virtual i32 | GetX ()=0
virtual i32 | GetY ()=0
virtual i32 | GetWidth ()=0
virtual i32 | GetHeight ()=0
virtual void | OnRender (render::Renderer::Ref &drawer, const i32 x, const i32 y)=0
virtual void | OnInput (const u64 keys_down, const u64 keys_up, const u64 keys_held, const TouchPoint touch_pos)=0
bool | IsVisible ()
void | SetVisible (const bool visible)
void | SetHorizontalAlign (const HorizontalAlign align)
HorizontalAlign | GetHorizontalAlign ()
void | SetVerticalAlign (const VerticalAlign align)
VerticalAlign | GetVerticalAlign ()
void | SetParentContainer (Container *parent_container)
i32 | GetProcessedX ()
i32 | GetProcessedY ()

## Additional Inherited Members

Protected Attributes inherited from pu::ui::elm::Element
bool | visible
HorizontalAlign | h_align
VerticalAlign | v_align
Container * | parent_container

## Constructor & Destructor Documentation

## Image()

pu::ui::elm::Image::Image | ( | const i32 | x,
|  | const i32 | y,
|  | const std::string & | image_path
| ) |  |

## ~Image()

pu::ui::elm::Image::~Image | ( |  | ) |

## Member Function Documentation

## GetHeight()

i32 pu::ui::elm::Image::GetHeight | ( |  | ) |

inlineoverridevirtual

Implements pu::ui::elm::Element.

## GetImagePath()

std::string pu::ui::elm::Image::GetImagePath | ( |  | ) |

inline

## GetRotationAngle()

float pu::ui::elm::Image::GetRotationAngle | ( |  | ) |

inline

## GetWidth()

i32 pu::ui::elm::Image::GetWidth | ( |  | ) |

inlineoverridevirtual

Implements pu::ui::elm::Element.

## GetX()

i32 pu::ui::elm::Image::GetX | ( |  | ) |

inlineoverridevirtual

Implements pu::ui::elm::Element.

## GetY()

i32 pu::ui::elm::Image::GetY | ( |  | ) |

inlineoverridevirtual

Implements pu::ui::elm::Element.

## IsImageValid()

bool pu::ui::elm::Image::IsImageValid | ( |  | ) |

inline

## OnInput()

void pu::ui::elm::Image::OnInput | ( | const u64 | keys_down,
|  | const u64 | keys_up,
|  | const u64 | keys_held,
|  | const TouchPoint | touch_pos
| ) |  |

inlineoverridevirtual

Implements pu::ui::elm::Element.

## OnRender()

void pu::ui::elm::Image::OnRender | ( | render::Renderer::Ref & | drawer,
|  | const i32 | x,
|  | const i32 | y
| ) |  |

overridevirtual

Implements pu::ui::elm::Element.

## SetHeight()

void pu::ui::elm::Image::SetHeight | ( | const i32 | height | ) |

inline

## SetImage()

void pu::ui::elm::Image::SetImage | ( | const std::string & | image_path | ) |

## SetRotationAngle()

void pu::ui::elm::Image::SetRotationAngle | ( | const float | angle | ) |

inline

## SetWidth()

void pu::ui::elm::Image::SetWidth | ( | const i32 | width | ) |

inline

## SetX()

void pu::ui::elm::Image::SetX | ( | const i32 | x | ) |

inline

## SetY()

void pu::ui::elm::Image::SetY | ( | const i32 | y | ) |

inline

The documentation for this class was generated from the following file:

- Plutonium/include/pu/ui/elm/elm_Image.hpp